Package org.bgerp.plugin.bil.invoice.model

# Class InvoiceType

java.lang.Object
org.bgerp.model.base.Id
org.bgerp.model.base.IdTitle
org.bgerp.plugin.bil.invoice.model.InvoiceType

All Implemented Interfaces:
  `Serializable`, `GetJsp`, `Id<Integer>`, `IdTitle<Integer>`, `Title`

public class InvoiceType extends IdTitle implements GetJsp

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class org.bgerp.model.base.IdTitle

  `title`

  ### Fields inherited from class org.bgerp.model.base.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InvoiceType(int id, ConfigMap config)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getCustomerId()`
  `String`
  `getJsp()`
  `NumberProvider`
  `getNumberProvider()`
  `Invoice`
  `invoice(ConnectionSet conSet, int processId, YearMonth monthFrom, YearMonth monthTo)`

  ### Methods inherited from class org.bgerp.model.base.IdTitle

  `getTitle, setTitle, toString, unknown`

  ### Methods inherited from class org.bgerp.model.base.Id

  `equals, getId, hashCode, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.bgerp.model.base.iface.Id

  `getId`

- ## Constructor Details

  - ### InvoiceType

    public InvoiceType(int id, ConfigMap config) throws Exception
    Throws:
      `Exception`

- ## Method Details

  - ### invoice

    public Invoice invoice(ConnectionSet conSet, int processId, YearMonth monthFrom, YearMonth monthTo) throws Exception
    Throws:
      `Exception`

  - ### getNumberProvider

    public NumberProvider getNumberProvider()
    Returns:
      number provider.

  - ### getCustomerId

    public int getCustomerId()
    Returns:
      customer from who invoice is generated.

  - ### getJsp

    public String getJsp()
    Specified by:
      `getJsp` in interface `GetJsp`
    Returns:
      JSP template for rendering print form.